@echo off

rem This batch file is used by the mgmtServerService Windows service wrapper.
rem The only changes that should ever be made to this file are located in
rem the user configurable section.  Please do not make any other changes.  

rem ==== USER CONFIGURABLE SECTION ====
rem - The following settings for WASCE_BIN and JRE_HOME are for the default locations
rem - based on if we are running on a 32 or 64 Windows system.  If you have installed
rem - Optim to a non-default folder, you must set the WASCE-BIN and JRE_HOME environment 
rem - variables using that non-default path.  To do so, comment out the following section
rem - up to and including ":ProgRootSet" and add lines to set WASCE_BIN and JRE_HOME
rem - to their fully qualified paths. For example, if you installed Optim to 
rem - D:\IBM\IBM Optim, you would comment out the DEFAULT LOCATION ENVIRONMENT VARIABLES
rem - section and set these under the NON-DEFAULT ENVIRONMENT VARIABLES section as: 
rem -   set WASCE_BIN="D:\IBM\IBM Optim\shared\WebSphere\AppServerCommunityEdition\bin"
rem -   set JRE_HOME="D:\IBM\IBM Optim\shared\jdk\jre"

rem ==== DEFAULT LOCATION ENVIRONMENT VARIABLES ====
rem - The following section sets environment variables based on default installed location 
rem if "%ProgramFiles(x86)%" == "" goto we_are_32bit
rem echo INFO: optimService.bat: We are a 64 bit Windows system
rem set WASCE_BIN="C:\Progra~2\IBM Optim\shared\WebSphere\AppServerCommunityEdition\bin"
rem set JRE_HOME="C:\Progra~2\IBM Optim\shared\jdk\jre"
rem goto ProgRootSet
rem :we_are_32bit
rem echo INFO: optimService.bat: We are a 32 bit Windows system
rem set WASCE_BIN="C:\Progra~1\IBM Optim\shared\WebSphere\AppServerCommunityEdition\bin"
rem set JRE_HOME="C:\Progra~1\IBM Optim\shared\jdk\jre"
rem :ProgRootSet

rem ==== NON-DEFAULT LOCATION ENVIRONMENT VARIABLES ====
rem - If installed to non-default location, comment out previous section and add
rem - lines to set WASCE_BIN and JRE_HOME environment variables using non-default
rem - Optim install location.
rem - set WASCE_BIN=<uncommment line and replace with non-default location>
rem - set JRE_HOME=<uncomment line and replace with non-default location>
set WASCE_BIN="C:\IBM\InfoSphere\Optim\shared\WebSphere\AppServerCommunityEdition\bin"
set JRE_HOME="C:\IBM\InfoSphere\Optim\shared\jdk\jre"

rem - If the default user, password or port are non-default, change the following.
set USER=system
set PASSWORD=manager
set PORT=1099

rem ==== DO NOT MAKE CHANGES FROM HERE ON ====
echo INFO: optimService.bat: WASCE_BIN=%WASCE_BIN%
echo INFO: optimService.bat: JRE_HOME=%JRE_HOME%

rem if "%1%" == "" goto error
if "%1%" == "start" goto start
if "%1%" == "stop" goto stop
goto end
:start
call %WASCE_BIN%\geronimo.bat run
goto end
:stop
java -jar %WASCE_BIN%\shutdown.jar --user %USER% --password %PASSWORD% --port %PORT%
goto end 
:error
echo You must specify start or stop.
echo Usage:  appServerService stop | start
:end

